Bug 1094642 (CVE-2014-0208)

Summary: CVE-2014-0208 foreman: XSS in key name auto-completion
Product: [Other] Security Response Reporter: Trevor Jay <tjay>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: athomas, bkearney, cpelland, jrusnack, katello-bugs, kseifried, mmccune, sclewis, security-response-team, tjay
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20140508,reported=20140416,source=redhat,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,rhn_satellite_6/foreman=affected,cwe=CWE-79
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2015-01-29 08:16:12 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 1168739    
Bug Blocks: 1094643    

Description Trevor Jay 2014-05-06 08:28:28 UTC
bug 1088315

Users can create malicious key names containing script tags. They are executed by other users via the autocomplete function when searching for keys.

See: https://bugzilla.redhat.com/show_bug.cgi?id=1088315

Comment 1 Trevor Jay 2014-05-06 08:33:10 UTC
Acknowledgements:

This issue was discovered by Jan Hutaƙ of Red Hat.

Comment 2 Kurt Seifried 2014-05-13 16:49:25 UTC
This issue is now public http://theforeman.org/security.html#2014-0208

Comment 4 Trevor Jay 2015-01-29 08:16:12 UTC
This issue was addressed in the following products:

  Red Hat Satellite 6.0

at the time of GA.